# coopcloud.tech

[![Build Status](https://build.coopcloud.tech/api/badges/coop-cloud/coopcloud.tech/status.svg?ref=refs/heads/main)](https://build.coopcloud.tech/coop-cloud/coopcloud.tech)

> https://coopcloud.tech

Splash page for the project.

## Hack

You'll need to get the latest extended Hugo release. See [the Github releases](https://github.com/gohugoio/hugo/releases).

```bash
$ hugo server
```

## Deploy me manually to the prod site

Need to have a docker context that points to swarm.autonomic.zone. To have permissions to push the image, need to use `docker login` using the creds in the pass store at `logins/dockerhub`

```bash
docker build -t thecoopcloud/coopcloud.tech:latest .
docker push thecoopcloud/coopcloud.tech:latest
DOCKER_CONTEXT=autonomic-swarm docker stack deploy -c compose.yml coop_cloud_site
```

The site should auto-deploy though [over here](https://build.coopcloud.tech/coop-cloud/coopcloud.tech).
