---
title: "This month in Co-op Cloud April 2022"
date: 2022-04-04T12:03:00+02:00
draft: false
image: "/img/growingcircuit.jpg"
imageCredit: "A plant pot with a circuit board in it, from the internet gardening collection by Trav Fryer are.na/trav-fryer/internet-gardening"
description: "The best kind of cloud software updates."
---

We've been heads-down sprinting towards our beta release of Co-op Cloud, and time has flown by! Here's what's new in the Co-op Cloudy skies since our last update in December.

#### Write-up from European Cultural Foundation

Our grant funders for the Beta release, the  European Cultural Foundation, did a lovely write-up of Co-op Cloud, and Autonomic, the co-operative who initiated the project: [Developing an ecosystem of cooperative service providers that host open-source tools](https://culturalfoundation.eu/stories/cosround4_autonomiccooperative).

#### Shiny new looks for our documentation

The [Co-op Cloud documentation](https://docs.coopcloud.tech/) is also getting a polish as we organise documentation for operators, maintainers and organisers, update our app catalogue (now with over 80 packaged apps) as well as more extensive recipes and a guide for `abra`. For a full list of our latest app releases, read on.

#### Call for case studies

We want to hear from you if you use Co-op Cloud! Please [get in touch](https://docs.coopcloud.tech/intro/contact/) to tell us about your experience by emailing [helo@coopcloud.tech](mailto:helo@coopcloud.tech), or drop by our Matrix channels.

#### Wordpress bedrock / composer excitement

At Autonomic, we used Co-op Cloud as the inspiration, and the deployment strategy, for a Bold New Approach to Wordpress, based on Docker / Bedrock – find details in an upcoming blog post!

#### New recipes in, old recipes out

We've been tightening the bolts on our recipe update process, rolling out new versions of:

- [Discourse](https://git.coopcloud.tech/coop-cloud/discourse/)
- [Matrix-Synapse](https://git.coopcloud.tech/coop-cloud/matrix-synapse/)
- [Nextcloud](https://git.coopcloud.tech/coop-cloud/nextcloud/)
- [Outline](https://git.coopcloud.tech/coop-cloud/outline/)
- [Peertube](https://git.coopcloud.tech/coop-cloud/peertube/)
- [Selfoss](https://git.coopcloud.tech/coop-cloud/selfoss/)
- [Wallabag](https://git.coopcloud.tech/coop-cloud/wallabag/)

We've also taken the difficult decision to start a deprecation process for a few apps where the development process seems to have paused (or at least, we can't find where it's moved off to!):

- [Laplace](https://git.coopcloud.tech/coop-cloud/laplace)
- [Oasis](https://git.coopcloud.tech/coop-cloud/oasis/)
- [Swarmpit](https://git.coopcloud.tech/coop-cloud/swarmpit)

#### A Server Scoop?

Servers.coop, hardware to Co-op Cloud's software, now has a presence on the [Fediverse (Mastodon)](https://sunbeam.city/@serverscoop) and [Twitter](https://nitter.net/servers_coop) -- give us a follow, help spread the word, and stay tuned for a very exciting upcoming crowdfunding campaign to get this vital hosting democratisation effort off the ground. Swing along to our [Matrix Space](https://matrix.to/#/!bDeUsKuqTQwBjBEAuj:autonomic.zone?via=autonomic.zone&via=matrix.org&via=gottsnack.net), or [via our main Matrix room](https://matrix.to/#/##serverscoop:libera.chat), for those of us on older clients (also available on IRC as `##serverscoop` on `libera.chat`), and say hi!

#### New apps

- [Limesurvey](https://git.coopcloud.tech/coop-cloud/limesurvey/) by `@3wc`
- [Minecraft](https://git.coopcloud.tech/coop-cloud/minecraft/) by `@3wc` (and yes Minetest is on its way, thanks ``@yusf`!)
- [Kanboard](https://git.coopcloud.tech/coop-cloud/kanboard/) by `@knoflook`
- [Lemmy](https://git.coopcloud.tech/coop-cloud/lemmy/) by `@3wc`

#### Financial sustainability

We'd like to take a moment to say :rocket: THANK YOU :rocket: to the amazing folks who have taken the initiative to set up recurring subscriptions on our community Open Collective account over on [opencollective.com/coop-cloud](https://opencollective.com/coop-cloud/transactions?type=CREDIT).

This income goes directly into sustaining our costs for the collective infrastructure ([git.coopcloud.tech](https://git.coopcloud.tech), [coopcloud.tech](https://coopcloud.tech), [docs.coopcloud.tech](https://docs.coopcloud.tech), the server with [servers.coop](https://servers.coop), etc.)

As part of our beta launch we will be generalising this support tier & creating new tiers which become part of what it means to join the Co-op Cloud Federation! A proposal document is in the works and will be available for general feedback & amendments Very Soon :tm:

---

If any of this sounds interesting, please drop by [our Matrix space](https://app.element.io/#/room/!xSMwGbdVehScXcIFwS:autonomic.zone?via=autonomic.zone) and say hello :wave:. We'd love to hear from you and to have a chat about what you think of the project and how it might be useful for you :heartpulse: You can also follow the project on [Twitter](https://twitter.com/Coop_Cloud) and/or [the Fediverse](https://social.coop/@coopcloud).
